Bug 203684 - sparc sparc64 require -fPIE
Summary: sparc sparc64 require -fPIE
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp   
(Show other bugs)
Version: rawhide
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-23 04:30 UTC by Dennis Gilmore
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-04 21:32:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dennis Gilmore 2006-08-23 04:30:01 UTC
Description of problem:
for dhcp  to build  on sparc and sparc64  we need -fPIE to be set not -fpie  
this is the same as for s390 s390x
it can be fixed  by changing the line
%ifarch s390 s390x 
With the line
%ifarch s390 s390x sparc sparc64


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 David Cantrell 2006-11-27 20:34:19 UTC
I'm not using -fpie or -fPIE in the dhcp spec file anymore.  I use -fPIC on all
platforms.  Does this work for SPARC and UltraSPARC?

Comment 2 Dennis Gilmore 2006-12-01 04:30:34 UTC
it builds fine with -fPIC.  I have yet to test that it works correctly.

Comment 3 David Cantrell 2007-01-23 18:48:37 UTC
Does -fPIC work fine?  If so, let's close the bug.

Comment 4 Dennis Gilmore 2007-01-23 18:59:39 UTC
it builds fine.  i have not had a chance to test it.  -fPIC does different 
things to -fPIE though 

Comment 5 David Cantrell 2007-09-04 18:41:38 UTC
Has this been tested?

Comment 6 Tom "spot" Callaway 2007-09-04 21:32:04 UTC
Yep. This looks ok. I'll reopen if it isn't.


Note You need to log in before you can comment on or make changes to this bug.